Skip to main content
`Ctrl`+`K`

# TaoALMMSetType

Determine the augmented Lagrangian formulation type for the subproblem.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoALMMSetType(Tao tao, TaoALMMType type)

## Input Parameters

- tao - the `Tao` context for the `TAOALMM` solver

- type - augmented Lagragrangian type

## See Also

`Tao`, `TAOALMM`, `TaoALMMGetType()`, `TaoALMMType`

## Level

advanced

## Location

src/tao/constrained/impls/almm/almmutils.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages